package com.qmth.teachcloud.exchange.common.enums;

import java.util.Objects;

/**
 * @Description: 唯一约束字段转换
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/13
 */
public enum FieldUniqueEnum {

    t_s_token_unique("学校编码"),

    YJXT_KCXX_UNIQUE("课程编码");

    private String title;

    private FieldUniqueEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(String value) {
        for (FieldUniqueEnum e : FieldUniqueEnum.values()) {
            if (Objects.equals(value.trim(), e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }

    /**
     * 状态转换 toTitle
     *
     * @param value
     * @return
     */
    public static String convertToTitle(String value) {
        for (FieldUniqueEnum e : FieldUniqueEnum.values()) {
            if (value.trim().contains(e.name())) {
                return e.getTitle();
            }
        }
        return null;
    }
}
