package com.qmth.data.docking.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.data.docking.bean.result.ZufeLoginResult;
import com.qmth.teachcloud.exchange.common.contant.SystemConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * token表
 * </p>
 *
 * @author wangliang
 * @since 2025-06-10
 */
@ApiModel(value = "TSToken对象", description = "token表")
public class TSToken implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "学校编码")
    private String code;

    @ApiModelProperty(value = "token")
    private String accessToken;

    @ApiModelProperty(value = "token类型")
    private String tokenType;

    @ApiModelProperty(value = "刷新token")
    private String refreshToken;

    @ApiModelProperty(value = "有效时间")
    private Integer expiresIn;

    @ApiModelProperty(value = "范围")
    private String scope;

    @ApiModelProperty(value = "许可证")
    private String license;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    private Long updateTime;

    public TSToken() {

    }

    public TSToken(ZufeLoginResult zufeLoginResult, String code) {
        this.id = SystemConstant.getDbUuid();
        this.code = code;
        this.accessToken = zufeLoginResult.getAccess_token();
        this.tokenType = zufeLoginResult.getToken_type();
        this.refreshToken = zufeLoginResult.getRefresh_token();
        this.expiresIn = zufeLoginResult.getExpires_in();
        this.scope = zufeLoginResult.getScope();
        this.license = zufeLoginResult.getLicense();
        this.createTime = System.currentTimeMillis();
    }

    public void updateTime(Long id) {
        this.id = id;
        this.updateTime = System.currentTimeMillis();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getTokenType() {
        return tokenType;
    }

    public void setTokenType(String tokenType) {
        this.tokenType = tokenType;
    }

    public String getRefreshToken() {
        return refreshToken;
    }

    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    public Integer getExpiresIn() {
        return expiresIn;
    }

    public void setExpiresIn(Integer expiresIn) {
        this.expiresIn = expiresIn;
    }

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public String getLicense() {
        return license;
    }

    public void setLicense(String license) {
        this.license = license;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }
}
