package com.qmth.data.docking.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.data.docking.bean.result.ZufeCourseResult;
import com.qmth.teachcloud.exchange.common.contant.SystemConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Objects;

/**
 * <p>
 * 浙财课程信息表
 * </p>
 *
 * @author wangliang
 * @since 2025-06-09
 */
@TableName("YJXT_KCXX")
@ApiModel(value = "YjxtKcxx对象", description = "课程信息表")
public class YjxtKcxx implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "课程代码")
    private String code;

    @ApiModelProperty(value = "课程名称")
    private String name;

    @ApiModelProperty(value = "机构名称（二级学院）")
    @TableField("collegeName")
    private String collegeName;

    public YjxtKcxx() {

    }

    public YjxtKcxx(ZufeCourseResult zufeCourseResult) {
        this.id = SystemConstant.getDbUuid();
        this.code = zufeCourseResult.getKCH();
        this.name = zufeCourseResult.getKCMC();
        this.collegeName = zufeCourseResult.getKKXY();
    }

    public void updateData(YjxtKcxx yjxtKcxx) {
        this.name = yjxtKcxx.getName();
        this.collegeName = yjxtKcxx.getCollegeName();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        YjxtKcxx yjxtKcxx = (YjxtKcxx) o;
        return Objects.equals(code, yjxtKcxx.code) && Objects.equals(name, yjxtKcxx.name) && Objects.equals(collegeName, yjxtKcxx.collegeName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(code, name, collegeName);
    }
}
