package com.qmth.data.docking.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考生数据
 * </p>
 *
 * @author wangliang
 * @since 2025-06-09
 */
@TableName("YJXT_KSXX")
@ApiModel(value = "YjxtKsxx对象", description = "考生数据表")
public class YjxtKsxx implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "学年名")
    private String xnm;

    @ApiModelProperty(value = "学期名")
    private String xqm;

    @ApiModelProperty(value = "课程编号")
    @TableField("courseCode")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    @TableField("courseName")
    private String courseName;

    @ApiModelProperty(value = "课程开课学院")
    @TableField("courseCollegeName")
    private String courseCollegeName;

    @ApiModelProperty(value = "试卷编号")
    @TableField("paperNumber")
    private String paperNumber;

    @ApiModelProperty(value = "姓名")
    @TableField("studentName")
    private String studentName;

    @ApiModelProperty(value = "学号")
    @TableField("studentCode")
    private String studentCode;

    @ApiModelProperty(value = "座位号")
    @TableField("siteNumber")
    private String siteNumber;

    @ApiModelProperty(value = "学生学院")
    @TableField("studentCollegeName")
    private String studentCollegeName;

    @ApiModelProperty(value = "专业")
    @TableField("majorName")
    private String majorName;

    @ApiModelProperty(value = "教学班")
    @TableField("teachClassName")
    private String teachClassName;

    @ApiModelProperty(value = "行政班")
    @TableField("className")
    private String className;

    @ApiModelProperty(value = "考试日期")
    @TableField("examDate")
    private String examDate;

    @ApiModelProperty(value = "考试时间")
    @TableField("examTime")
    private String examTime;

    @ApiModelProperty(value = "考点")
    @TableField("examPlace")
    private String examPlace;

    @ApiModelProperty(value = "考场")
    @TableField("examRoom")
    private String examRoom;

    @ApiModelProperty(value = "命题老师工号")
    @TableField("teacherCode")
    private String teacherCode;

    @ApiModelProperty(value = "命题老师姓名")
    @TableField("teacherName")
    private String teacherName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getXnm() {
        return xnm;
    }

    public void setXnm(String xnm) {
        this.xnm = xnm;
    }

    public String getXqm() {
        return xqm;
    }

    public void setXqm(String xqm) {
        this.xqm = xqm;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCollegeName() {
        return courseCollegeName;
    }

    public void setCourseCollegeName(String courseCollegeName) {
        this.courseCollegeName = courseCollegeName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getSiteNumber() {
        return siteNumber;
    }

    public void setSiteNumber(String siteNumber) {
        this.siteNumber = siteNumber;
    }

    public String getStudentCollegeName() {
        return studentCollegeName;
    }

    public void setStudentCollegeName(String studentCollegeName) {
        this.studentCollegeName = studentCollegeName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getTeachClassName() {
        return teachClassName;
    }

    public void setTeachClassName(String teachClassName) {
        this.teachClassName = teachClassName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getExamDate() {
        return examDate;
    }

    public void setExamDate(String examDate) {
        this.examDate = examDate;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }
}
