package com.qmth.data.docking.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.data.docking.entity.TSToken;
import com.qmth.data.docking.mapper.TSTokenMapper;
import com.qmth.data.docking.service.TSTokenService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * token表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2025-06-10
 */
@Service
public class TSTokenServiceImpl extends ServiceImpl<TSTokenMapper, TSToken> implements TSTokenService {

    /**
     * 根据学校编码查找token
     *
     * @param code
     * @return
     */
    @Override
    public TSToken findByCode(String code) {
        QueryWrapper<TSToken> tsTokenQueryWrapper = new QueryWrapper<>();
        tsTokenQueryWrapper.lambda().eq(TSToken::getCode, code).orderByDesc(TSToken::getCreateTime).last("limit 1");
        return this.getOne(tsTokenQueryWrapper);
    }
}
